<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>PyTIOVX User Guide: tiovx.enums.Channel Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
  <div class="navpath"><b>tiovx</b>.<b>enums</b>.<a class="el" href="classtiovx_1_1enums_1_1Channel.html">Channel</a>
  </div>
</div>
<div class="contents">
<h1>tiovx.enums.Channel Class Reference<br/>
<small>
[<a class="el" href="group__ENUMS.html">1: Enum APIs</a>]</small>
</h1><!-- doxytag: class="tiovx::enums::Channel" --><!-- doxytag: inherits="enum::Enum" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>Image channel (OpenVX equivalent = vx_channel_e). </p>
<dl class="user"><dt><b>Example usage:</b></dt><dd><div class="fragment"><pre class="fragment"> Channel.R
 Channel.C0
</pre></div> </dd></dl>

<p><a href="classtiovx_1_1enums_1_1Channel-members.html">List of all members.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Static Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a19619b0bfdc176f9c9831af63551bf70"></a><!-- doxytag: member="tiovx::enums::Channel::C0" ref="a19619b0bfdc176f9c9831af63551bf70" args="" -->
int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1Channel.html#a19619b0bfdc176f9c9831af63551bf70">C0</a> = 1</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">OpenVX equivalent = VX_CHANNEL_0. <br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a739869f4d0ed93856a69cd08a599459c"></a><!-- doxytag: member="tiovx::enums::Channel::C1" ref="a739869f4d0ed93856a69cd08a599459c" args="" -->
int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1Channel.html#a739869f4d0ed93856a69cd08a599459c">C1</a> = 2</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">OpenVX equivalent = VX_CHANNEL_1. <br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaff26e345f1cdb6c8ca56a6eb93de632"></a><!-- doxytag: member="tiovx::enums::Channel::C2" ref="aaff26e345f1cdb6c8ca56a6eb93de632" args="" -->
int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1Channel.html#aaff26e345f1cdb6c8ca56a6eb93de632">C2</a> = 3</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">OpenVX equivalent = VX_CHANNEL_2. <br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aecf30d104ce52a334627d46bbefb5298"></a><!-- doxytag: member="tiovx::enums::Channel::C3" ref="aecf30d104ce52a334627d46bbefb5298" args="" -->
int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1Channel.html#aecf30d104ce52a334627d46bbefb5298">C3</a> = 4</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">OpenVX equivalent = VX_CHANNEL_3. <br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a143bfee92a52b523d35a205abe580fe0"></a><!-- doxytag: member="tiovx::enums::Channel::R" ref="a143bfee92a52b523d35a205abe580fe0" args="" -->
int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1Channel.html#a143bfee92a52b523d35a205abe580fe0">R</a> = 5</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">OpenVX equivalent = VX_CHANNEL_R. <br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af54f363cb9e5fff9045194aef4af776e"></a><!-- doxytag: member="tiovx::enums::Channel::G" ref="af54f363cb9e5fff9045194aef4af776e" args="" -->
int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1Channel.html#af54f363cb9e5fff9045194aef4af776e">G</a> = 6</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">OpenVX equivalent = VX_CHANNEL_G. <br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af34c4e41f2f2d4ea8d938cc91e869a67"></a><!-- doxytag: member="tiovx::enums::Channel::B" ref="af34c4e41f2f2d4ea8d938cc91e869a67" args="" -->
int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1Channel.html#af34c4e41f2f2d4ea8d938cc91e869a67">B</a> = 7</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">OpenVX equivalent = VX_CHANNEL_B. <br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac3f3d4532a4e4b7c36aecf0cf3ef7b91"></a><!-- doxytag: member="tiovx::enums::Channel::A" ref="ac3f3d4532a4e4b7c36aecf0cf3ef7b91" args="" -->
int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1Channel.html#ac3f3d4532a4e4b7c36aecf0cf3ef7b91">A</a> = 8</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">OpenVX equivalent = VX_CHANNEL_A. <br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abd966368a15dac8e1555f88b018a3003"></a><!-- doxytag: member="tiovx::enums::Channel::Y" ref="abd966368a15dac8e1555f88b018a3003" args="" -->
int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1Channel.html#abd966368a15dac8e1555f88b018a3003">Y</a> = 9</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">OpenVX equivalent = VX_CHANNEL_Y. <br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a77e07c4f18eb6e23a765490603e40b82"></a><!-- doxytag: member="tiovx::enums::Channel::U" ref="a77e07c4f18eb6e23a765490603e40b82" args="" -->
int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1Channel.html#a77e07c4f18eb6e23a765490603e40b82">U</a> = 10</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">OpenVX equivalent = VX_CHANNEL_U. <br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a183afe629f4102fa829147f72a42401e"></a><!-- doxytag: member="tiovx::enums::Channel::V" ref="a183afe629f4102fa829147f72a42401e" args="" -->
int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1Channel.html#a183afe629f4102fa829147f72a42401e">V</a> = 11</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">OpenVX equivalent = VX_CHANNEL_V. <br/></td></tr>
</table>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
